package _VisualDVM.Passes.All;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Passes.Project.CurrentProjectPass;
public class ResetCurrentProject extends CurrentProjectPass {
    @Override
    protected void performPreparation() throws Exception {
        Global.mainModule.getPass(PassCode.DeleteDebugResults).Do();
        Global.mainModule.getPass(PassCode.CloseCurrentProject).Do();
        Global.mainModule.set(Current.Root, null);
    }
    @Override
    protected void body() throws Exception {
        target.CleanVersions();
        target.ResetDB();
        Global.mainModule.getDb().Delete(target.getInfo());
    }
    @Override
    protected void performDone() throws Exception {
        Global.mainModule.getPass(PassCode.OpenCurrentProject).Do(target.Home);
    }
}
